Package it.ernytech.tdlib

## Class TdApi.PageBlockList

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock
    - - it.ernytech.tdlib.TdApi.PageBlockList

Enclosing class:
  TdApi

    public static class TdApi.PageBlockList
    extends TdApi.PageBlock

A list of texts.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isOrdered` True, if the items should be marked with numbers.
`TdApi.RichText[]` `items` Texts.

### Constructor Summary

Constructors
`PageBlockList()` Default constructor.
`PageBlockList​(TdApi.RichText[] items, boolean isOrdered)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### items

    public TdApi.RichText[] items

Texts.

#### isOrdered

    public boolean isOrdered

True, if the items should be marked with numbers.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PageBlockList

    public PageBlockList()

Default constructor.

#### PageBlockList

    public PageBlockList​(TdApi.RichText[] items,
                         boolean isOrdered)

Constructor for initialization of all fields.

Parameters:
  `items` - Texts.
  `isOrdered` - True, if the items should be marked with numbers.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR